aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/liblockfile/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-10-09 18:52:02 +0000
committerMichael Mason <ms13sp@gmail.com>2009-10-09 18:52:02 +0000
commit27372931726698f78e450f05ac096c3717a4b2bf (patch)
tree17679c75ddda8cc936468480edfa25f673580e6b /unstable/liblockfile/APKBUILD
parent897dfd5aef9336f697eec828c704ba546d19d686 (diff)
downloadaports-27372931726698f78e450f05ac096c3717a4b2bf.tar.gz
aports-27372931726698f78e450f05ac096c3717a4b2bf.tar.bz2
aports-27372931726698f78e450f05ac096c3717a4b2bf.tar.xz
unstable/liblockfile Initial Commit
Diffstat (limited to 'unstable/liblockfile/APKBUILD')
-rw-r--r--unstable/liblockfile/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/unstable/liblockfile/APKBUILD b/unstable/liblockfile/APKBUILD
new file mode 100644
index 0000000000..8d89af8478
--- /dev/null
+++ b/unstable/liblockfile/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=liblockfile
+pkgver=1.08
+pkgrel=0
+pkgdesc="Implements functions designed to lock the standard mailboxes"
+url="http://www.debian.org"
+license="GPL"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="ftp://ftp.debian.org/debian/pool/main/libl/$pkgname/"$pkgname"_"$pkgver".orig.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ install -m2755 -D "$srcdir"/"$pkgname-$pkgver"/dotlockfile "$pkgdir"/usr/bin/dotlockfile
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/lockfile.h "$pkgdir"/usr/include/lockfile.h
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/maillock.h "$pkgdir"/usr/include/maillock.h
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/liblockfile.a "$pkgdir"/usr/lib/liblockfile.a
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/dotlockfile.1 "$pkgdir"-doc/usr/man/man1/dotlockfile.1
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/lockfile_create.3 "$pkgdir"-doc/usr/man/man3/lockfile_create.3
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/maillock.3 "$pkgdir"-doc/usr/man/man3/maillock.3
+}
+
+md5sums="c24e2dfb4a2aab0263fe5ac1564d305e liblockfile_1.08.orig.tar.gz"